import type { JSX } from '../../stencil-public-runtime';
import type { CardAPI, CardStates, HasCloserPropType, HeadingLevel, KoliBriCardEventCallbacks, LabelPropType } from '../../schema';
export declare class KolCardWc implements CardAPI {
    private readonly host?;
    private readonly translateClose;
    private readonly close;
    private readonly on;
    render(): JSX.Element;
    _hasCloser?: boolean;
    _headingId?: string;
    _label: LabelPropType;
    _level?: HeadingLevel;
    _on?: KoliBriCardEventCallbacks;
    state: CardStates;
    private validateOnValue;
    validateHasCloser(value?: HasCloserPropType): void;
    validateLabel(value?: LabelPropType): void;
    validateLevel(value?: HeadingLevel): void;
    validateOn(value?: KoliBriCardEventCallbacks): void;
    componentWillLoad(): void;
}
